import { default as EditorModel } from "../../../Models/EditorModel.js";
import { BaseView, IBaseViewOptions } from "../../BaseView.js";
import { InputView } from "../../Assembler/Grid/InputView.js";
import GroupModel from "../../../Models/GroupModel.js";
export interface ICategoryViewOptions extends IBaseViewOptions {
    label: string;
    editors: Array<EditorModel>;
    source: GroupModel;
}
export declare class CategoryView extends BaseView {
    private m_editors;
    constructor(options: ICategoryViewOptions);
    protected get source(): GroupModel;
    get label(): string;
    private get editors();
    private get header();
    private get content();
    private get toggle();
    get inputs(): Jade.Collection<InputView>;
    get visible(): boolean;
    get isExpanded(): boolean;
    template(): string | Array<string> | JQuery;
    expand(): void;
    collapse(): void;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    private populate;
    private toggle_onClick;
}
